Bug 903811 - [abrt] yum-utils-1.1.31-6.fc18: shutil.py:82:copyfile:IOError: [Errno 2] No such file or directory: '/var/tmp/yum-malar-bdSPHH/fedora/metalink.xml.tmp'
[abrt] yum-utils-1.1.31-6.fc18: shutil.py:82:copyfile:IOError: [Errno 2] No s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:da8740c2a589175eb3536a51ebd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 16:23 EST by Malar Kannan
Modified: 2014-02-05 13:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 13:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.99 KB, text/plain)
2013-01-24 16:24 EST, Malar Kannan
no flags Details
File: core_backtrace (1.25 KB, text/plain)
2013-01-24 16:24 EST, Malar Kannan
no flags Details
File: dso_list (57 bytes, text/plain)
2013-01-24 16:24 EST, Malar Kannan
no flags Details
File: environ (3.25 KB, text/plain)
2013-01-24 16:24 EST, Malar Kannan
no flags Details
File: smolt_data (3.63 KB, text/plain)
2013-01-24 16:24 EST, Malar Kannan
no flags Details

  None (edit)
Description Malar Kannan 2013-01-24 16:23:55 EST
Description of problem:
yum-fast-downloader modules is installed and it might be the cause of the problem.

Version-Release number of selected component:
yum-utils-1.1.31-6.fc18

Additional info:
cmdline:        /usr/bin/python -tt /usr/bin/reposync --arch=x86_64 -gnlm
executable:     /usr/bin/reposync
kernel:         3.7.2-204.fc18.x86_64
uid:            1000

Truncated backtrace:
shutil.py:82:copyfile:IOError: [Errno 2] No such file or directory: '/var/tmp/yum-malar-bdSPHH/fedora/metalink.xml.tmp'

Traceback (most recent call last):
  File "/usr/bin/reposync", line 352, in <module>
    main()
  File "/usr/bin/reposync", line 169, in main
    my.doRepoSetup()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 671, in doRepoSetup
    return self._getRepos(thisrepo, True)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 723, in _getRepos
    self._repos.doSetup(thisrepo)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 138, in doSetup
    self.retrieveAllMD()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 84, in retrieveAllMD
    dl = repo._async and repo._commonLoadRepoXML(repo)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1365, in _commonLoadRepoXML
    if self._latestRepoXML(local):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1343, in _latestRepoXML
    repomd = self.metalink_data.repomd
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 846, in <lambda>
    metalink_data = property(fget=lambda self: self._getMetalink(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 834, in _getMetalink
    shutil.move(result, self.metalink_filename)
  File "/usr/lib64/python2.7/shutil.py", line 299, in move
    copy2(src, real_dst)
  File "/usr/lib64/python2.7/shutil.py", line 128, in copy2
    copyfile(src, dst)
  File "/usr/lib64/python2.7/shutil.py", line 82, in copyfile
    with open(src, 'rb') as fsrc:
IOError: [Errno 2] No such file or directory: '/var/tmp/yum-malar-bdSPHH/fedora/metalink.xml.tmp'

Local variables in innermost frame:
src: '/var/tmp/yum-malar-bdSPHH/fedora/metalink.xml.tmp'
dst: '/var/tmp/yum-malar-bdSPHH/fedora/metalink.xml'
fn: '/var/tmp/yum-malar-bdSPHH/fedora/metalink.xml'
st: posix.stat_result(st_mode=33204, st_ino=2753475, st_dev=64769L, st_nlink=1, st_uid=1000, st_gid=1000, st_size=6135, st_atime=1358863606, st_mtime=1358863606, st_ctime=1358863606)
Comment 1 Malar Kannan 2013-01-24 16:24:19 EST
Created attachment 687003 [details]
File: backtrace
Comment 2 Malar Kannan 2013-01-24 16:24:22 EST
Created attachment 687004 [details]
File: core_backtrace
Comment 3 Malar Kannan 2013-01-24 16:24:25 EST
Created attachment 687005 [details]
File: dso_list
Comment 4 Malar Kannan 2013-01-24 16:24:27 EST
Created attachment 687006 [details]
File: environ
Comment 5 Malar Kannan 2013-01-24 16:24:35 EST
Created attachment 687007 [details]
File: smolt_data
Comment 6 Fedora End Of Life 2013-12-21 05:48:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 13:27:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.